- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
G::DirectoryIteratorImp Class Reference

A pimple-pattern implementation class for DirectoryIterator. More...

## Public Member Functions
| DirectoryIteratorImp (const Directory &dir, const std::string &wildcard)
| ~DirectoryIteratorImp ()
bool | isDir () const
bool | more ()
bool | error () const
std::string | modificationTimeString () const
std::string | sizeString () const
Path | filePath () const
Path | fileName () const

## Detailed Description

A pimple-pattern implementation class for DirectoryIterator.

Definition at line 42 of file gdirectory_unix_glob.cpp.

## Constructor & Destructor Documentation

G::DirectoryIteratorImp::DirectoryIteratorImp | ( | const Directory & | dir,
|  | const std::string & | wildcard
| ) |  |

Definition at line 135 of file gdirectory_unix_glob.cpp.

References error(), gdirectory_unix_on_error_(), and G::Directory::path().

G::DirectoryIteratorImp::~DirectoryIteratorImp | ( |  | ) |

Definition at line 193 of file gdirectory_unix_glob.cpp.

## Member Function Documentation

bool G::DirectoryIteratorImp::error | ( |  | ) | const

Definition at line 152 of file gdirectory_unix_glob.cpp.

Referenced by DirectoryIteratorImp().

G::Path G::DirectoryIteratorImp::fileName | ( |  | ) | const

Definition at line 182 of file gdirectory_unix_glob.cpp.

G::Path G::DirectoryIteratorImp::filePath | ( |  | ) | const

Definition at line 172 of file gdirectory_unix_glob.cpp.

bool G::DirectoryIteratorImp::isDir | ( |  | ) | const

Definition at line 187 of file gdirectory_unix_glob.cpp.

References G::Directory::valid().

std::string G::DirectoryIteratorImp::modificationTimeString | ( |  | ) | const

Definition at line 199 of file gdirectory_unix_glob.cpp.

bool G::DirectoryIteratorImp::more | ( |  | ) |

Definition at line 157 of file gdirectory_unix_glob.cpp.

std::string G::DirectoryIteratorImp::sizeString | ( |  | ) | const

Definition at line 204 of file gdirectory_unix_glob.cpp.

References G::File::sizeString().

The documentation for this class was generated from the following file:

- gdirectory_unix_glob.cpp